Get Enterprise Hypervisors Health
curl --request GET \
--url https://api.devin.ai/v2/enterprise/hypervisors/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/hypervisors/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/hypervisors/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"hypervisor_id": "<string>",
"status": "<string>",
"seconds_since_report": 123
}
]Infrastructure Endpoints
List Hypervisors
Get hypervisor status information for VPC monitoring
GET
/
v2
/
enterprise
/
hypervisors
/
health
Get Enterprise Hypervisors Health
Requires an enterprise admin personal API key.
Returns a list of hypervisors with their current health status for the enterprise. This endpoint is designed for VPC monitoring and allows enterprise administrators to check the health of their hypervisor infrastructure.
This endpoint is only available for enterprises with VPC deployments.

